Storyden
Nodes

Node Version Delete

Delete the working draft checkpoint. A draft author can discard their own draft. Members with `MANAGE_LIBRARY` permission can discard any draft for the node. The draft row is removed from history. Applied versions are immutable history entries and cannot be deleted through this endpoint.

DELETE/nodes/{node_slug}/versions/{version_id}

Delete the working draft checkpoint.

A draft author can discard their own draft. Members with MANAGE_LIBRARY permission can discard any draft for the node. The draft row is removed from history. Applied versions are immutable history entries and cannot be deleted through this endpoint.

Authorization

storyden-session<token>

In: cookie

Path Parameters

node_slug*string

Unique node Slug.

Formatxid
version_id*string

Node version ID.

Formatxid

Response Body

application/json

curl -X DELETE "https://example.com/nodes/string/versions/string"
Empty